<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");
require($_SERVER['DOCUMENT_ROOT']."/funciones.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

// добавление конкурсов рефералам
if($_POST['func'] == "add_ref_comp") {
$priz1 = $priz2 = $priz3 = $priz4 = $priz5 = $priz6 = $priz7 = $priz8 = $priz9 = $priz10 = 0;
$type = (isset($_POST["type"]) && valideint($_POST["type"]) !== false) ? valideint($_POST["type"]) : false;
$count = (isset($_POST["count"]) && valideint($_POST["count"]) !== false) ? valideint($_POST["count"]) : false;
$min_count = (isset($_POST["min_count"]) && valideint($_POST["min_count"]) !== false) ? valideint($_POST["min_count"]) : false;

$price = isset($_POST["price"]) ? $_POST["price"] : false;
$zapros = false;
$priz1 = floatval($price[0]);
$priz2 = floatval($price[1]);
$priz3 = floatval($price[2]);
$zapros = "`priz1`='$priz1',`priz2`='$priz2',`priz3`='$priz3'";
if($count >= 5){
$priz4 = floatval($price[3]);
$priz5 = floatval($price[4]);
$zapros .= ",`priz4`='$priz4',`priz5`='$priz5'";
}
if($count == 10){
$priz6 = floatval($price[5]);
$priz7 = floatval($price[6]);
$priz8 = floatval($price[7]);
$priz9 = floatval($price[8]);
$priz10 = floatval($price[9]);
$zapros .= ",`priz6`='$priz6',`priz7`='$priz7',`priz8`='$priz8',`priz9`='$priz9',`priz10`='$priz10'";
}

$start_comp = (isset($_POST["start_comp"]) && valideint($_POST["start_comp"]) !== false) ? valideint($_POST["start_comp"]) : false;
$count_day = (isset($_POST["count_day"]) && valideint($_POST["count_day"]) !== false) ? valideint($_POST["count_day"]) : false;
$end_comp = (strtotime(DATE("d.m.Y", $start_comp))+$count_day*24*3600);

# проверка на минумальную сумму приза
$allprice = 0;
for($i=0;$i<=($count-1);$i++){
$allprice += $price[$i];
}
$arr_count = array("3", "5", "10");

$count_comp = mysql_num_rows(mysql_query("SELECT `id` FROM `b_ref_comp` WHERE `type`='$type' AND `id_user`='$id_user'"));
if($type == false OR $count == false OR $price == false OR $start_comp == false OR $count_day == false OR $min_count == false){
echo "1";exit();
}elseif(!in_array($count, $arr_count)){
echo "3";exit();
}elseif($start_comp <= time()){
echo "4";exit();
}elseif($count_day < 3 AND $count_day > 10){
echo "5";exit();
}elseif($count_comp > 0){
echo "8";exit();
}elseif($min_count < 1 AND $min_count > 999){
echo "9";exit();
}else{
mysql_query("INSERT INTO `b_ref_comp` (`id_user`,`type`,`count_us`,`min_count`,`start_comp`,`end_comp`,`priz1`,`priz2`,`priz3`,`priz4`,`priz5`,`priz6`,`priz7`,`priz8`,`priz9`,`priz10`,`all_priz`,`status`) VALUES ('$id_user','$type','$count','$min_count','$start_comp','$end_comp','$priz1','$priz2','$priz3','$priz4','$priz5','$priz6','$priz7','$priz8','$priz9','$priz10','$allprice','0')") or die(mysql_error());
echo "10";exit();
}
}

if($_POST['func'] == "change_pg1_comp") {
function day_w($m){
$m = str_replace("Monday","Понедельник",$m);
$m = str_replace("Tuesday","Вторник",$m);
$m = str_replace("Wednesday","Среда",$m);
$m = str_replace("Thursday","Четверг",$m);
$m = str_replace("Friday","Пятница",$m);
$m = str_replace("Saturday","Суббота",$m);
$m = str_replace("Sunday","Воскресенье",$m);
return $m;
}

echo <<<html
<style>
.inp_stl{
    background: none repeat scroll 0 0 #fff;
    border: 0 solid #709846;
    border-radius: 21px;
    box-shadow: 1px 1px 2px 0 rgba(0, 0, 0, 0.5) inset;
    box-sizing: border-box;
    color: rgba(140, 140, 140, 1);
    cursor: pointer;
    font: 14px "Antic",Helvetica,sans-serif;
    height: 30px;
    padding: 0 7px;
    text-align: center;
    transform: scaleX(1) scaleY(1) scaleZ(1);
    transform-origin: 50% 50% 0;
    transition: all 502ms cubic-bezier(0.68, -0.75, 0.265, 1.75) 0s;
    width:200px;
}
.slct_stl{
    background: none repeat scroll 0 0 #fff;
    border: 0 solid #709846;
    border-radius: 21px 0 0 21px;
    box-shadow: 1px 1px 2px 0 rgba(0, 0, 0, 0.5) inset;
    box-sizing: border-box;
    color: rgba(140, 140, 140, 1);
    cursor: pointer;
    font: 14px "Antic",Helvetica,sans-serif;
    height: 30px;
    padding: 0 7px;
    text-align: center;
    transform: scaleX(1) scaleY(1) scaleZ(1);
    transform-origin: 50% 50% 0;
    transition: all 502ms cubic-bezier(0.68, -0.75, 0.265, 1.75) 0s;
width:200px;
}
</style>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
<b>Конкурс кликов</b> - это конкурс между Вашими рефералами, кто сделает больше кликов в период проведения конкурса.<br>
<b>Конкурс рефералов</b> - это конкурс между Вашими рефералами, кто пригласит больше рефералов в период проведения конкурса.<br>
<b>Конкурс заданий</b> - это конкурс между Вашими рефералами, кто выполнит больше заданий в период проведения конкурса.<br>
<b>Общий конкурс</b> - это конкурс между Вашими рефералами, кто наберет общую сумму балов за (клики, письма, заданий, тесты) в период проведения конкурса.<br>
<b style="color:#1CA01F;">Бонус рейтинга</b> - если Вы создаете конкурс и в нём есть участники Вам буден начислено <b>5%</b> от суммы призового фонда конкурса.
</td></tr>
</table>

<div style="margin-top:5px; text-align:center;">
<span class="filterlineactive" id="comp_pg1" onclick="change_pg_comp(1);">Создать конкурс</span>
<span class="filterline" id="comp_pg2" onclick="change_pg_comp(2);">Мои Конкурсы</span>
<a href="/ref_comp_view_mi.php" style="text-decoration: none;"><span class="filterline">Статистика</span></a>
</div>

<div style="margin-top:25px;">

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead>
<th align="center" colspan="2">Укажите параметры для создания конкурса</th>
</thead>
<tbody>
<tr>
<td>Тип конкурса:</td>
<td class="value">
<select id="type_comp" class="slct_stl">
<option value="1">Конкурс кликов</option>
<option value="2">Конкурс рефералов</option>
<option value="3">Конкурс заданий</option>
<option value="4">Общий конкурс</option>
</select>
</td>
</tr>
<tr id="cnt_comp">
<td>Количество призовых мест:</td>
<td class="value">
<select id="count_comp" class="slct_stl" onchange="insert_inp(); return false;">
<option value="0">Выбрать</option>
<option value="3">3</option>
<option value="5">5</option>
<option value="10">10</option>
</select>
</td>
</tr>
<tr>
<td>Дата старта конкурса:</td>
<td class="value">
html;
echo '<select id="start_comp" class="slct_stl">';
$start_comp = (strtotime(DATE("d.m.Y", time()+24*3600)));
$end_comp = (strtotime(DATE("d.m.Y", time()))+10*24*3600);
$day_comp = (24*3600);
for($i=$start_comp; $i<=$end_comp; $i=$i+$day_comp) {
echo '<option value="'.$i.'">'.day_w(DATE("d.m.Y l", $i)).'</option>';
}
echo '</select>';
echo <<<html
</td>
</tr>
<tr>
<td>Количество дней:</td>
<td class="value">
<select id="count_day" class="slct_stl">
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
</select>
</td>
</tr>
<tr>
<td>Минимальное количество для участия:</td>
<td class="value">
<input type="text" id="min_count" class="inp_stl" value="10">
</td>
</tr>
<tr>
<td>Максимальная (общая) сумма призового фонда:</td>
<td class="value">
<input type="text" value="500" style="width:70px;margin-left: 19px;" class="inp_stl" readonly> $sitevalname
</td>
</tr>
<tr>
<td>Минимальная (общая) сумма призового фонда:</td>
<td class="value">
<input type="text" value="3" style="width:70px;margin-left: 19px;" class="inp_stl" readonly> $sitevalname
</td>
</tr>
<td>Текущая (общая) сумма призового фонда:</td>
<td class="value">
<input id="price_all" type="text" value="0" style="width:70px;margin-left: 19px;" class="inp_stl" readonly> $sitevalname
</td>
</tr>
</tbody>
</table>
<br/>
<center><a class="button-green" href="javascript:void(0);" onclick="add_ref_comp();">Создать конкурс</a></center>
</div>
<script>
function insert_inp(cnt){
var cnt = $.trim($('#count_comp').val());
var insert = "";
for(i=1;i<=cnt;i++){
insert += "<tr id='next_cnt'><td>Приз за "+i+" место ($sitevalname)</td><td><input type='text' id='priz"+i+"' maxlength='4' name='priz' value='' class='inp_stl' onchange='prize_fond();' onKeyUp='prize_fond();'></td></tr>";
}
$("tr #next_cnt").remove();
$(insert).insertAfter("#cnt_comp");
}

function prize_fond(){
var price = 0;
var cnt = $.trim($('#count_comp').val());
for(i=1;i<=cnt;i++){
if($('#priz'+i).val() != '') {
price = parseFloat(price) + parseFloat($('#priz'+i).val().replace(',','.'));
}
}
$('#price_all').val(parseFloat(price));
}

var progress = false;
function add_ref_comp() {
if(!progress){
var summ = 0;
var type_comp = parseInt($('#type_comp').val());
var count_comp = $.trim($('#count_comp').val());
var price = new Array();
for(i=1;i<=count_comp;i++){
price.push(parseFloat($('#priz'+i).val().replace(',','.')));
summ = parseFloat(summ) + parseFloat($('#priz'+i).val().replace(',','.'));
}
var start_comp = parseInt($('#start_comp').val());
var count_day = parseInt($('#count_day').val());
var min_count = parseInt($('#min_count').val());

if(summ > 500) { QBinfo('Ошибка:','<b>Сумма фонда больше максимальной!</b>',4000,'bottom-right'); return false;}
else if(summ < 3) { QBinfo('Ошибка:','<b>Сумма фонда меньше минимальной!</b>',4000,'bottom-right'); return false;}
else if(count_comp == 0) { QBinfo('Ошибка:','<b>Не выбрано количество призовых мест!</b>',4000,'bottom-right'); return false;}

$.ajax({
type: "POST", 
url: "/ajax/ajax_ref_comp.php", 
data: { 'func' : 'add_ref_comp', 'type' : type_comp, 'count' : count_comp, 'price' : price, 'start_comp' : start_comp, 'count_day' : count_day, 'min_count' : min_count},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','<b>Некорректно введены данные!</b>',4000,'bottom-right'); }
else if(data == 2){ QBinfo('Ошибка:','<b>Минимальная сумма приза $r_comp_min_pay $sitevalname!</b>',4000,'bottom-right'); }
else if(data == 3) { QBinfo('Ошибка:','<b>Неверное количество призовых мест!</b>',4000,'bottom-right'); }
else if(data == 4) { QBinfo('Ошибка:','<b>Неверно указана дата старта!</b>',4000,'bottom-right'); }
else if(data == 5) { QBinfo('Ошибка:','<b>Неверно указано количество дней!</b>',4000,'bottom-right'); }
else if(data == 6) { QBinfo('Ошибка:','<b>Сумма фонда больше максимальной!</b>',4000,'bottom-right'); }
else if(data == 7) { QBinfo('Ошибка:','<b>Сумма фонда меньше минимальной!</b>',4000,'bottom-right'); }
else if(data == 8) { QBinfo('Ошибка:','<b>У Вас уже есть конкурс такого типа!</b>',4000,'bottom-right'); }
else if(data == 9) { QBinfo('Ошибка:','<b>Количество для участвия должно быть больше 0!</b>',4000,'bottom-right'); }
else if(data == 10){
QBinfo('Поздравляем:','<b>Конкурс успешно создан!</b>',4000,'bottom-right');
document.location.href = "/ref_comp_add.php";
}
progress = false;
}
});
}
}
</script>

html;
}

if($_POST['func'] == "change_pg2_comp") {
echo <<<html
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
<b>Старт конкурса</b> - конкурс запуститься автоматически после того как Вы его оплатите нажав на кнопку <b style="color:#5E43D3;">Стартовать конкурс</b>.<br>
<b>Удаление конкурса</b> - конкурс можно удалить только если он еще не стартовал или в нём нет еще учасников.<br>
<b style="color:#FF0000;">Внимание:</b> - если Вы не оплатили конкурс до его старта (старт в 00:00), он будет автоматически удалён
</td></tr>
</table>

<div style="margin-top:5px;text-align:center;">
<span class="filterline" id="comp_pg1" onclick="change_pg_comp(1);">Создать конкурс</span>
<span class="filterlineactive" id="comp_pg2" onclick="change_pg_comp(2);">Мои Конкурсы</span>
<a href="/ref_comp_view_mi.php" style="text-decoration: none;"><span class="filterline">Статистика</span></a>
</div>

<div style="margin-top:25px;">
<table class="profile" cellspacing="0" cellpadding="0" border="0" width="100%" style="margin-bottom:0;">
<thead>
<th>ID</th>
<th>Тип</th>
<th>Общая сумма</th>
<th>Старт конкурса</th>
<th>Финиш конкурса</th>
<th>Статус</th>
<th>Действие</th>
</thead><tbody>
html;
$sql = mysql_query("SELECT * FROM `b_ref_comp` WHERE `id_user`='$id_user'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$id_comp = $row["id"];
echo "<tr id='id_comp-$id_comp'><td style='text-align:center;padding:5px;'>";
echo $id_comp;
echo "</td><td style='text-align:center;padding:5px;'>";
switch($row["type"]){
case 1: $type_comp = "Конкурс кликов";break;
case 2: $type_comp = "Конкурс рефералов";break;
case 3: $type_comp = "Конкурс заданий";break;
case 4: $type_comp = "Общий конкурс";break;
}
echo $type_comp;
echo "</td><td style='text-align:center;padding:5px;'>";
echo floatval($row["all_priz"])." ".$sitevalname;
echo "</td><td style='text-align:center;padding:5px;'>";
echo "<span style='color:#24A03D;'>".date("d-m-y", $row["start_comp"])."</span>";
echo "</td><td style='text-align:center;padding:5px;'>";
echo "<span style='color:#A02424;'>".date("d-m-y", $row["end_comp"])."</span>";
echo "</td><td style='text-align:center;padding:5px;' id='cmp_st_$id_comp'>";
switch($row["status"]){
case 0: $status = "<span style='color:#A02424;'>Не активен</span>";break;
case 1: $status = "<span style='color:#24A03D;'>Активен</span>";break;
}
echo $status;
echo "</td><td style='text-align:center;padding:5px;'>";
echo "<span class='refdel' title='Удалить конкурс' onclick='dell_comp($id_comp);'></span>";
if($row["status"] == 0){
echo "<span class='play' id='play-$id_comp' title='Стартовать конкурс' onclick='start_comp($id_comp);'></span>";
}
echo "</td></tr>";
}
}else{
echo "<tr><td colspan='7' style='text-align:center;padding:5px;'><span style='color:#A02424;'>Нет созданых конкурсов</span></td></tr>";
}
echo "</tbody></table>";
echo <<<script
<script>
var progress = false;

function start_comp(id){
if(!progress){
$.ajax({
type: "POST", 
url: "/ajax/ajax_ref_comp.php", 
data: { 'func' : 'start_comp', 'id' : id},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){ QBinfo('Поздравляем:','<b>Конкурс успешно оплачен и стартовал!</b>',4000,'bottom-right'); 
$('#cmp_st_'+id).html('<span style="color:#24A03D;">Активен</span>');
$('#play-'+id).remove();
}
else if(data == 2){ QBinfo('Ошибка:','<b>Недостаточно денег на рекламном счёте!</b>',4000,'bottom-right'); }
else if(data == 3){ QBinfo('Ошибка:','<b>Конкурс уже запущен!</b>',4000,'bottom-right'); }
else if(data == 4){ QBinfo('Ошибка:','<b>Конкурс не найден!</b>',4000,'bottom-right'); }
progress = false;
}
});
}
}

function dell_comp(id){
if(!progress){
$.ajax({
type: "POST", 
url: "/ajax/ajax_ref_comp.php", 
data: { 'func' : 'dell_comp', 'id' : id},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){ QBinfo('Поздравляем:','<b>Конкурс успешно удалён!</b>',4000,'bottom-right'); 
$('#id_comp-'+id).remove(); }
else if(data == 2){ QBinfo('Ошибка:','<b>В конкурсе уже есть учасники!</b>',4000,'bottom-right');  }
else if(data == 3){ QBinfo('Ошибка:','<b>Конкурс не найден!</b>',4000,'bottom-right');  }
progress = false;
}
});
}
}
</script>
script;
}

if($_POST['func'] == "start_comp") {
$id = (isset($_POST["id"]) && preg_match("|^[\d]{1,11}$|", trim($_POST["id"]))) ? intval(trim($_POST["id"])) : false;
if($id != false){
$sql = mysql_query("SELECT `status`,`all_priz` FROM `b_ref_comp` WHERE `id`='$id' AND `id_user`='$id_user' LIMIT 1") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
$row = mysql_fetch_assoc($sql);
if($row["status"] == 0){
$comp_money = $row["all_priz"];
$user_money = mysql_result(mysql_query("SELECT `r_money` FROM `b_users` WHERE `id`='$id_user' LIMIT 1"),0);
if($user_money > $comp_money){
mysql_query("UPDATE `b_users` SET `r_money`=`r_money`-'$comp_money' WHERE `id`='$id_user'") or die(mysql_error());
mysql_query("UPDATE `b_ref_comp` SET `status`='1' WHERE `id`='$id' AND `id_user`='$id_user'") or die(mysql_error());
echo "1"; exit();
}else{ echo "2"; exit(); }
}else{ echo "3"; exit(); }
}else{ echo "4"; exit(); }
}else{ echo "4"; exit(); }
}

if($_POST['func'] == "dell_comp") {
$id = (isset($_POST["id"]) && preg_match("|^[\d]{1,11}$|", trim($_POST["id"]))) ? intval(trim($_POST["id"])) : false;
if($id != false){
$sql = mysql_query("SELECT `status` FROM `b_ref_comp` WHERE `id`='$id' AND `id_user`='$id_user' LIMIT 1") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
$row = mysql_fetch_assoc($sql);
if($row["status"] == 1){
$count_data = mysql_num_rows(mysql_query("SELECT `id` FROM `b_ref_comp_data` WHERE `id_comp`='$id' LIMIT 1"));
if($count_data == 0){
mysql_query("DELETE FROM `b_ref_comp` WHERE `id`='$id' AND `id_user`='$id_user' AND `status`='1'") or die(mysql_error());
echo "1"; exit();
}else{ echo "2"; exit(); }
}else{
mysql_query("DELETE FROM `b_ref_comp` WHERE `id`='$id' AND `id_user`='$id_user' AND `status`='0'") or die(mysql_error());
echo "1"; exit();
}
}else{ echo "3"; exit(); }
}else{ echo "3"; exit(); }
}

mysql_close();
?>